Name:           openxcom
Version:        1.0.0
Release:        %mkrel 5
Summary:        An open source reimplementation of the original X-Com game
Group:          Games/Strategy
License:        GPLv3
Url:            http://openxcom.org/
Source0:        http://openxcom.org/wp-content/plugins/download-monitor/download.php?id=31#/%{name}-%{version}.tar.gz
Patch0:         openxcom-1.0.0-mga-gamesdatadir.patch

BuildRequires:  boost-devel
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_gfx)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(yaml-cpp)
BuildRequires:  dos2unix
BuildRequires:  doxygen
BuildRequires:  xmlto

%description
OpenXcom is an open-source clone of the original UFO: Enemy Unknown
(X-Com: UFO Defense in USA), licensed under the GPL and written in C++ / SDL.

The goal of the project is to bring back the tried and true feel of the original
with none of the issues. All the same graphics, sound and gameplay with a brand
new codebase written from scratch.

User is required to have original gamedata (possible to obtain from e.g. Steam)
installed to ~/.local/share/openxcom/data/

%package doc
Summary:        Documentation files for %{name}
Group:          Games/Strategy
Requires:       %{name} = %{version}-%{release}

%description doc
Documentation files for %{name} game.

%prep
%autosetup
dos2unix README.txt

%build
%configure2_5x \
        --bindir=%{_gamesbindir} \
        --docdir=%{_docdir}/%{name} \
        --with-docs
%make

%install
%makeinstall_std

%files
%doc LICENSE.txt README.txt CHANGELOG.txt
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.*
%{_docdir}/%{name}/*.txt
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_mandir}/man6/%{name}.6*

%files doc
%{_docdir}/%{name}/html/


%changelog
* Fri Feb 12 2016 umeabot <umeabot> 1.0.0-5.mga6
+ Revision: 956571
- Mageia 6 Mass Rebuild

* Fri Aug 28 2015 cjw <cjw> 1.0.0-4.mga6
+ Revision: 870430
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-3.mga5
+ Revision: 747759
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Jul 14 2014 akien <akien> 1.0.0-1.mga5
+ Revision: 651818
- import openxcom (based off the openSUSE SRPM)

